Description:

A Petri net editor/simulator.

bradhowes

9 years ago

I got a link error compiling on Mac OS X 10.4.11. I had to add ${QT_QTSVG_LIBRARY} to the target_link_libraries() line in plugins/coveragegraph/CMakeLists.txt. Once done, everything built just fine.

Report

parasok92

2 years ago

Do you have the source code that implements the GUI of the application? may need to use it as a case study.

Report

csanchisb

9 years ago

Hi. First of all let me tell you that Opulus is great: easy to use and works well. I've tried it under Linux, but I can't compile it in Windows without removing the covergraph plugin. I have grraphviz installed so I can't guess what the problem is. It complains about some SVG-related Qt class, but that doesn't happen under Linux. We've been asked ah the University to showcase some Petri net application and I had thought of this, but I need it working in Windows in order to do that, so I would appreciate some help.

Report

hugopl

9 years ago

The opulus version from svn compiles fine under windows, the problem was only a missing library on CMake script.

We will release a windows version with an installer in the next weeks.

Any feedback is welcome.

Report

Supporters

Recent Donations

Be the first to donate
Filename Version Description Filetype Packagetype License Downloads Date Filesize Install
Score 62%
62.00 Likes
38 Dislikes

0 Supporters for Opulus:

Recent Donations:

Be the first to donate
show all
Details
version
0.9
updated Mar 01 2008
added Sep 09 2007
downloads
page views 291
support hugopl
For The Product
Opulus
5 - 10 - 25 - 50 - 100 - 200 - 500